// +build !ignore_autogenerated

// This file was autogenerated by openapi-gen. Do not edit it manually!

package v1alpha1

import (
	spec "github.com/go-openapi/spec"
	common "k8s.io/kube-openapi/pkg/common"
)

func GetOpenAPIDefinitions(ref common.ReferenceCallback) map[string]common.OpenAPIDefinition {
	return map[string]common.OpenAPIDefinition{
		"github.com/tomerop/pkg/apis/tomergroup/v1alpha1.TomerOp":       schema_pkg_apis_tomergroup_v1alpha1_TomerOp(ref),
		"github.com/tomerop/pkg/apis/tomergroup/v1alpha1.TomerOpSpec":   schema_pkg_apis_tomergroup_v1alpha1_TomerOpSpec(ref),
		"github.com/tomerop/pkg/apis/tomergroup/v1alpha1.TomerOpStatus": schema_pkg_apis_tomergroup_v1alpha1_TomerOpStatus(ref),
	}
}

func schema_pkg_apis_tomergroup_v1alpha1_TomerOp(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "TomerOp is the Schema for the tomerops API",
				Properties: map[string]spec.Schema{
					"kind": {
						SchemaProps: spec.SchemaProps{
							Description: "Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"apiVersion": {
						SchemaProps: spec.SchemaProps{
							Description: "APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"metadata": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"),
						},
					},
					"spec": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("github.com/tomerop/pkg/apis/tomergroup/v1alpha1.TomerOpSpec"),
						},
					},
					"status": {
						SchemaProps: spec.SchemaProps{
							Ref: ref("github.com/tomerop/pkg/apis/tomergroup/v1alpha1.TomerOpStatus"),
						},
					},
				},
			},
		},
		Dependencies: []string{
			"github.com/tomerop/pkg/apis/tomergroup/v1alpha1.TomerOpSpec", "github.com/tomerop/pkg/apis/tomergroup/v1alpha1.TomerOpStatus", "k8s.io/apimachinery/pkg/apis/meta/v1.ObjectMeta"},
	}
}

func schema_pkg_apis_tomergroup_v1alpha1_TomerOpSpec(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "TomerOpSpec defines the desired state of TomerOp",
				Properties: map[string]spec.Schema{
					"firstname": {
						SchemaProps: spec.SchemaProps{
							Description: "INSERT ADDITIONAL SPEC FIELDS - desired state of cluster Important: Run \"operator-sdk generate k8s\" to regenerate code after modifying this file Add custom validation using kubebuilder tags: https://book-v1.book.kubebuilder.io/beyond_basics/generating_crd.html",
							Type:        []string{"string"},
							Format:      "",
						},
					},
					"lastname": {
						SchemaProps: spec.SchemaProps{
							Type:   []string{"string"},
							Format: "",
						},
					},
				},
				Required: []string{"firstname", "lastname"},
			},
		},
		Dependencies: []string{},
	}
}

func schema_pkg_apis_tomergroup_v1alpha1_TomerOpStatus(ref common.ReferenceCallback) common.OpenAPIDefinition {
	return common.OpenAPIDefinition{
		Schema: spec.Schema{
			SchemaProps: spec.SchemaProps{
				Description: "TomerOpStatus defines the observed state of TomerOp",
				Properties: map[string]spec.Schema{
					"message": {
						SchemaProps: spec.SchemaProps{
							Description: "INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run \"operator-sdk generate k8s\" to regenerate code after modifying this file Add custom validation using kubebuilder tags: https://book-v1.book.kubebuilder.io/beyond_basics/generating_crd.html",
							Type:        []string{"string"},
							Format:      "",
						},
					},
				},
				Required: []string{"message"},
			},
		},
		Dependencies: []string{},
	}
}
